#!/bin/bash

# see ~/.ssh/config for the IP and port aliases associated to backup.
BACKUP_SSH_HOST="PUT HOSTNAME HERE"

# IP of the host used for netcat port check.
BACKUP_HOST_IP="PUT IP ADDRESS HERE"

RETVALUE=$(nc -z $BACKUP_HOST_IP 80)
LOGFILE="$HOME/spokes-sync.log"

BACKUP_SQL_SCRIPT="/root/backup-db.sql"
BACKUP_DB_FILE="/tmp/spokes-backup.db"

TIMESTAMP=$(date +"%Y-%m-%d_%H:%M:%S")

##
# Note: add ssh customizations, e.g. ports by adding this flag:
# -e 'ssh -p <port-no>' to the rsync command.
##
if [ "$RETVALUE" != "0" ]; then
	# make a consistent backup of database first
	sqlite3 /var/lib/spokes/spokes.db < $BACKUP_SQL_SCRIPT

	rsync -a /etc/spokes root@$BACKUP_SSH_HOST:/etc/
	rsync -a $BACKUP_DB_FILE root@$BACKUP_SSH_HOST:/var/lib/spokes/spokes.db
	rsync -a /var/lib/spokes/licenses/ root@$BACKUP_SSH_HOST:/var/lib/spokes/licenses/
	echo "$TIMESTAMP: synchronized backup server..." >> $LOGFILE
else
	echo "$TIMESTAMP: backup server is running, skipping sync..." >> $LOGFILE
fi
