
-- adding new column for IPv6 address in server table
ALTER TABLE tunnel ADD COLUMN version VARCHAR(32) DEFAULT "" NOT NULL;
ALTER TABLE tunnel ADD COLUMN os      VARCHAR(32) DEFAULT "" NOT NULL;
ALTER TABLE tunnel ADD COLUMN arch    VARCHAR(32) DEFAULT "" NOT NULL;

-- update the server view
DROP VIEW d_tunnel;
CREATE VIEW d_tunnel AS
	SELECT hex(id) AS id, hex(user_id) AS user_id, hex(server_id) AS server_id, 
		created, last_active, state, hub_state, uptime, num_https, num_ports, 
		daily, monthly, name, hostname, address, version, os, arch
	FROM tunnel;

-- add index for established columns
CREATE INDEX conn_metric_established_idx ON conn_metric(established);
