-- v1.0.4

-- create the message table and indexes
CREATE TABLE IF NOT EXISTS message (
    id            BINARY(16) NOT NULL PRIMARY KEY,
    tunnel_id     BINARY(16) NOT NULL,
    created       DATETIME NOT NULL,
    level         INTEGER DEFAULT 0 NOT NULL,
    viewed        SMALLINT DEFAULT 0 NOT NULL,
    address       VARCHAR(64) DEFAULT "0.0.0.0" NOT NULL,
    value         TEXT DEFAULT "" NOT NULL
);

CREATE INDEX message_tunnel_id_idx ON message(tunnel_id);
CREATE INDEX message_created_idx ON message(created);

-- create a view as well
CREATE VIEW d_message AS
	SELECT hex(id) AS id, hex(tunnel_id) AS tunnel_id, created, level, viewed, 
		address, value
	FROM message;
