-- v1.2.0


-- endpoint table:
--
CREATE TABLE IF NOT EXISTS endpoint (
    id               BINARY(16) NOT NULL PRIMARY KEY,
    created          DATETIME NOT NULL,
    modified         DATETIME,
    active           TINYINT DEFAULT 1 NOT NULL,
    delay            INTEGER DEFAULT 0 NOT NULL,
    authentication   INTEGER DEFAULT 0 NOT NULL,
    key              VARCHAR(64) NOT NULL,
    basic_auth       VARCHAR(256) NOT NULL,
    name             VARCHAR(128) NOT NULL,
    url              TEXT NOT NULL
);


-- endpoint_config table:
--
CREATE TABLE IF NOT EXISTS endpoint_config (
    endpoint_id       BINARY(16) NOT NULL PRIMARY KEY,
    tun_up            TINYINT DEFAULT 0 NOT NULL,
    tun_down          TINYINT DEFAULT 0 NOT NULL,
    tun_create        TINYINT DEFAULT 0 NOT NULL,
    tun_shutdown      TINYINT DEFAULT 0 NOT NULL,
    admin_login       TINYINT DEFAULT 0 NOT NULL,
    user_create       TINYINT DEFAULT 0 NOT NULL,
    license_warning   TINYINT DEFAULT 0 NOT NULL
);

-- d_endpoint view
--
CREATE VIEW d_endpoint AS
	SELECT hex(id) AS id, created, modified, active, delay, authentication, 
		key, basic_auth, name, url
	FROM endpoint;

-- d_endpoint_config view
--
CREATE VIEW d_endpoint_config AS
	SELECT hex(endpoint_id) AS endpoint_id, tun_up, tun_down, tun_create, 
		tun_shutdown, admin_login, user_create, license_warning
	FROM endpoint_config;
